<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('client_addresses', function (Blueprint $table) {
            $table->string('floor');
            $table->string('apartment');
            $table->string('comment');
            $table->string('name');
            $table->string('latitude');
            $table->string('longitude');
            $table->integer('distance');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('client_addresses', function (Blueprint $table) {
            $table->dropColumn('floor');
            $table->dropColumn('apartment');
            $table->dropColumn('comment');
            $table->dropColumn('name');
            $table->dropColumn('latitude');
            $table->dropColumn('longitude');
            $table->dropColumn('distance');
        });
    }
};
